Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwModule

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.AbstractDataCollection
              ru.biosoft.access.VectorDataCollection
                  biouml.plugins.sbw.SbwModule

All Implemented Interfaces:
  DataCollection, DataElement

public class SbwModule
extends VectorDataCollection

Field Summary
`protected edu.caltech.sbw.ModuleDescriptor` | `descriptor`
`protected boolean` | `isInit`
`protected edu.caltech.sbw.Module` | `module`

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE, vector`

Fields inherited from class ru.biosoft.access.AbstractDataCollection
`cat, info, notificationEnabled, path, propagationEnabled, v_cache`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`SbwModule(DataCollection parent, edu.caltech.sbw.ModuleDescriptor descriptor)`

Method Summary
`void` | `close()` Removes all of the elements from this data collection.
`protected DataElement` | `doGet(java.lang.String name)` Returns the element with the specified name from this data collection.
`DataElement` | `getAt(int index)` Returns the element at the specified position in this data collection.
`java.lang.Class` | `getDataElementType()` Gets the type of DataElements stored in the data collection.
`edu.caltech.sbw.ModuleDescriptor` | `getModuleDescriptor()`
`edu.caltech.sbw.Module` | `getModuleInstance()`
`java.util.List` | `getNameList()` Returns an unmodifiable list of the data element names contained in this data collection.
`int` | `getSize()` Returns the number of `data elements` in this data collection.
`protected void` | `init()` Get the `Module` instance from SBW broker and load its services.
`boolean` | `isMutable()` Returns false.
`java.util.Iterator` | `iterator()` Returns an iterator over the elements in this list in alphabetically sorted sequence.

Methods inherited from class ru.biosoft.access.VectorDataCollection
`doPut, doRemove, put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, cachePut, checkMutable, contains, contains, doAddPostNotify, doAddPreNotify, doRemovePostNotify, doRemovePreNotify, finalize, fireElementAdded, fireElementChanged, fireElementRemoved, fireElementWillAdd, fireElementWillChange, fireElementWillRemove, get, getCompleteName, getDescription, getInfo, initLog, isNotificationEnabled, isPropagationEnabled, makeInfo, propagateElementChanged, propagateElementWillChange, registerRoot, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### isInit

    protected boolean isInit

### descriptor

    protected edu.caltech.sbw.ModuleDescriptor descriptor

### module

    protected edu.caltech.sbw.Module module

Constructor Detail

### SbwModule

    public SbwModule(DataCollection parent,
                     edu.caltech.sbw.ModuleDescriptor descriptor)

Method Detail

### init

    protected void init()

  Get the `Module` instance from SBW broker and load its services.

### getModuleDescriptor

    public edu.caltech.sbw.ModuleDescriptor getModuleDescriptor()

### getModuleInstance

    public edu.caltech.sbw.Module getModuleInstance()
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### close

    public void close()
               throws java.lang.Exception

  Description copied from class: `VectorDataCollection`
  Removes all of the elements from this data collection.

  Specified by:
    `close` in interface `DataCollection`
  Overrides:
    `close` in class `VectorDataCollection`
  Throws:
    `java.lang.Exception`

### isMutable

    public boolean isMutable()

  Description copied from class: `AbstractDataCollection`
  Returns false. Override this method for return correct value.

  Specified by:
    `isMutable` in interface `DataCollection`
  Overrides:
    `isMutable` in class `AbstractDataCollection`
  Returns:
    Always return false.

### getDataElementType

    public java.lang.Class getDataElementType()

  Description copied from class: `AbstractDataCollection`
  Gets the type of DataElements stored in the data collection. The DataElement type should be specified using {&link DATA_ELEMENT_CLASS_PROPERTY} or should be specified in derived collections.

  Specified by:
    `getDataElementType` in interface `DataCollection`
  Overrides:
    `getDataElementType` in class `AbstractDataCollection`
  Returns:
    Type of DataElements stored in the data collection.

### getSize

    public int getSize()

  Description copied from class: `VectorDataCollection`
  Returns the number of `data elements` in this data collection.

  Specified by:
    `getSize` in interface `DataCollection`
  Overrides:
    `getSize` in class `VectorDataCollection`
  Returns:
    the number of data elements in this data collection.

### doGet

    protected DataElement doGet(java.lang.String name)

  Description copied from class: `VectorDataCollection`
  Returns the element with the specified name from this data collection.

  Overrides:
    `doGet` in class `VectorDataCollection`
  Parameters:
    `name` - name of element to return.
  Returns:
    the element with the specified name in this data collection.
  See Also:
    `AbstractDataCollection.get(String)`

### getAt

    public DataElement getAt(int index)

  Description copied from class: `VectorDataCollection`
  Returns the element at the specified position in this data collection.

  Overrides:
    `getAt` in class `VectorDataCollection`
  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the specified position in this data collection.

### iterator

    public java.util.Iterator iterator()

  Description copied from class: `VectorDataCollection`
  Returns an iterator over the elements in this list in alphabetically sorted sequence.

  Specified by:
    `iterator` in interface `DataCollection`
  Overrides:
    `iterator` in class `VectorDataCollection`
  Returns:
    an iterator over the elements in this list in alphabetically sorted sequence.

### getNameList

    public java.util.List getNameList()

  Description copied from class: `VectorDataCollection`
  Returns an unmodifiable list of the data element names contained in this data collection. Query operations on the returned list "read through" to the internal name list, and attempts to modify the returned list, whether direct or via its iterator, result in an `UnsupportedOperationException`. The returned list is backed by the data collection, so changes to the data collection are reflected in the returned list.

  Specified by:
    `getNameList` in interface `DataCollection`
  Overrides:
    `getNameList` in class `VectorDataCollection`
  Returns:
    Names of all elements in this data collection in alphabetically sorted order.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.